## gcc-defaults 0.21

=== debian/changelog ===
gcc-defaults (0.21) unstable; urgency=low

  * Include java on ARM.
  * Set ARM g77 version number to 3.0.4.

 -- Phil Blundell <pb@debian.org>  Sat, 23 Mar 2002 04:15:58 -0500

gcc-defaults (0.20) unstable; urgency=medium

  * Rebuild with new debhelper (closes: #137295, #137296).

 -- Matthias Klose <doko@debian.org>  Fri,  8 Mar 2002 09:05:28 +0100

gcc-defaults (0.19) unstable; urgency=medium

  * Set g77 version for ARM to 3.0.
  * Disable java for mips(el); it clearly isn't getting built.
  * Add self to Uploaders

 -- Philip Blundell <pb@debian.org>  Sun,  3 Mar 2002 22:36:36 +0000

gcc-defaults (0.18) unstable; urgency=medium

  * Fix version of gobjc package on ia64 (closes: #131428).

 -- Matthias Klose <doko@debian.org>  Tue, 29 Jan 2002 18:55:11 +0100

gcc-defaults (0.17) unstable; urgency=medium

  * Replace empty doc directories by symlinks to the cpp doc directory.
    Closes: #117285.
  * Add suggestions for -doc packages (somewhat closes: #115127).
  * Build `gpc' package for mips and mipsel.
  * gcj package: Provide default for `jv-convert'.
  * Copy package descriptions from the gcc-X.Y packages and add "This is a
    dependency package ...". Overkill closes: #124063.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Jan 2002 22:05:41 +0100

gcc-defaults (0.16) unstable; urgency=medium

  * Make 3.0 the default for gobjc on ia64. Closes: #122735.
  * New package gij to provide a default for the java interpreter.
    Closes: #119386.
  * Make 3.0 the default for gcj and gij on ia64.
  * Package gij provides java-virtual-machine and java1-runtime.
    Closes: #119384.
  * Reflect move to gcc-3.0.3.

 -- Matthias Klose <doko@debian.org>  Sat,  8 Dec 2001 11:33:05 +0100

gcc-defaults (0.15) unstable; urgency=low

  * Add gpc-doc (<< 1:2.95.3) conflict for gpc package. Same for cpp
    and gcc (Closes: #115299).

 -- Matthias Klose <doko@debian.org>  Sun, 14 Oct 2001 11:14:05 +0200

gcc-defaults (0.14) unstable; urgency=low

  * Make gcj package for m68k.

 -- Matthias Klose <doko@debian.org>  Sun,  7 Oct 2001 12:10:43 +0200

gcc-defaults (0.13) unstable; urgency=low

  * Make gcj package for powerpc.

 -- Matthias Klose <doko@debian.org>  Sat,  4 Aug 2001 12:11:34 +0200

gcc-defaults (0.12) unstable; urgency=low

  * Replace suggestions of removed task-packages with minimal individual
    packages (closes: #105695).
  * symlinks for java manpages.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Jul 2001 21:06:15 +0200

gcc-defaults (0.11) unstable; urgency=low

  * Rebuild with current version of dpkg-dev (closes #102528).

 -- Matthias Klose <doko@gate.local>  Thu, 28 Jun 2001 22:01:41 +0200

gcc-defaults (0.10) unstable; urgency=low

  * Set default for mips to 2.95. gcc-defaults for mips(el) has never been
    uploaded to the archive with 3.x as the version, so we won't need to
    epoch this fallback (Ryan Murray <rmurray@cyberhqz.com>).

 -- Matthias Klose <doko@debian.org>  Tue, 26 Jun 2001 07:28:06 +0200

gcc-defaults (0.9) unstable; urgency=low

  * Increase epoch, use gcc-2.96 as default for ia64 (#101876, #101878).
  * Update version number to 2.95.4 (on m68k).

 -- Matthias Klose <doko@debian.org>  Sat, 23 Jun 2001 12:48:30 +0200

gcc-defaults (0.8.1) unstable; urgency=low

  * IA-64 currently uses 2.96 as the default and will soon have 3.0 as an
    option.  Reflect the correct default here, we had assumed 3.0 previously.

 -- Bdale Garbee <bdale@gag.com>  Fri, 22 Jun 2001 00:16:08 -0600

gcc-defaults (0.8) unstable; urgency=low

  * Update version number to 2.95.4 (except m68k).
  * debian/control.m4: correct CHILL description (closes: #93929).
  * Default to 3.0 for ia64-linux, mips-linux and mipsel-linux
  * gcj defaults to 3.0 for all architectures.
  * Fix suggestions of task packages (closes: #96272, #96273).

 -- Matthias Klose <doko@debian.org>  Sun, 27 May 2001 02:25:45 +0200

gcc-defaults (0.7) unstable; urgency=low

  * Rebuild control file.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Mar 2001 06:37:10 +0200

gcc-defaults (0.6) unstable; urgency=low

  * Support for hppa-linux (fixes #91940).

 -- Matthias Klose <doko@debian.org>  Wed, 28 Mar 2001 06:43:40 +0200

gcc-defaults (0.5) testing unstable; urgency=high

  * Upload to testing; gcc-2.95 needs this package.

 -- Matthias Klose <doko@debian.org>  Wed,  7 Feb 2001 18:25:35 +0100

gcc-defaults (0.4) unstable; urgency=low

  * Link /usr/share/doc/gcc to cpp doc directory (#80990).

 -- Matthias Klose <doko@debian.org>  Mon,  1 Jan 2001 18:27:27 +0100

gcc-defaults (0.3) unstable; urgency=low

  * Reenable gcj for sparc.
  * TODO: Update description of Debian compiler setup.

 -- Matthias Klose <doko@debian.org>  Sun, 31 Dec 2000 10:59:01 +0000

gcc-defaults (0.2) unstable; urgency=low

  * Initial Release.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Dec 2000 19:12:08 +0100

Local variables:
mode: debian-changelog
End:
