=== debian/control ===
Source: gcc-defaults
Section: devel
Priority: standard
Maintainer: Debian GCC maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 3.5.6
Build-Depends: m4, awk, debhelper

Package: cpp
Architecture: any
Section: interpreters
Depends: cpp-2.95
Suggests: cpp-2.95-doc
Conflicts: cpp-doc (<< 1:2.95.3)
Description: The GNU C preprocessor.
 The GNU C preprocessor is a macro processor that is used automatically
 by the GNU C compiler to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This is a dependency package providing the default GNU C preprocessor for
 Debian GNU/Linux systems (version 2.95.4 for architecture arm).

Package: g++
Architecture: any
Depends: cpp (>= 2:2.95.4-14), g++-2.95, gcc-2.95
Provides: c++-compiler
Description: The GNU C++ compiler.
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This is a dependency package providing the default GNU C++ compiler for
 Debian GNU/Linux systems (version 2.95.4 for architecture arm).

Package: gobjc
Priority: optional
Architecture: any
Depends: cpp (>= 2:2.95.4-14), gobjc-2.95, gcc-2.95
Provides: objc-compiler
Description: The GNU Objective-C compiler.
 This is the GNU Objective-C compiler, which compiles Objective-C on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Objective-C compiler
 for Debian GNU/Linux systems (version 2.95.4 for architecture arm).

Package: chill
Priority: extra
Architecture: any
Depends: cpp (>= 2:2.95.4-14), chill-2.95, gcc-2.95
Description: The GNU CHILL compiler.
 This is the ITU CHILL compiler. CHILL is the "CCITT High-Level Language",
 where CCITT is the old name for what is now ITU, the International
 Telecommunications Union. It is a language in the Modula-2 family, and targets
 many of the same applications as Ada (especially large embedded systems).
 CHILL was never used much in the United States, but is still being used in
 Europe, Brazil, Korea, and other places.
 .
 This is a dependency package providing the default GNU CHILL compiler for
 Debian GNU/Linux systems (version 2.95.4 for architecture arm).

Package: g77
Priority: optional
Architecture: any
Depends: cpp (>= 2:2.95.4-14), g77-3.0, gcc-3.0
Suggests: g77-2.95-doc
Provides: fortran-compiler
Description: The GNU Fortran 77 compiler.
 This is the GNU g77 Fortran compiler, which compiles Fortran 77 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Fortran 77 compiler
 for Debian GNU/Linux systems (version 3.0 for architecture arm).

Package: gcj
Priority: optional
Architecture: any
Depends: cpp (>= 2:2.95.4-14), gcj-3.0, g++-3.0
Provides: java-compiler
Description: The GNU Java compiler.
 GCJ is a front end to the GCC compiler which can natively compile both
 Java(tm) source and bytecode files. The compiler can also generate class
 files.
 .
 This is a dependency package providing the default GNU Java compiler for
 Debian GNU/Linux systems (version 3.0.4 for architecture arm).

Package: gij
Priority: optional
Architecture: any
Depends: cpp (>= 2:2.95.4-14), gij-3.0
Conflicts: libgcj2 (<= 3.0.2-4)
Description: The GNU Java bytecode interpreter.
 GIJ is not limited to interpreting bytecode. It includes a class loader which
 can dynamically load shared objects, so it is possible to give it the name
 of a class which has been compiled and put into a shared library on the
 class path.
 .
 This is a dependency package providing the default GNU Java bytecode
 interpreter  for Debian GNU/Linux systems (version 3.0.4 for architecture
 arm).

Package: gpc
Priority: optional
Architecture: any
Depends: cpp (>= 2:2.95.4-14), gpc-2.95, gcc-2.95
Suggests: gpc-2.95-doc
Conflicts: gpc-doc (<< 1:2.95.3)
Provides: pascal-compiler
Description: The GNU Pascal compiler.
 This is the GNU Pascal compiler, which compiles Pascal on platforms supported
 by the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 The current version 2.2 (release candiate 2) implements Standard Pascal
 (ISO 7185, level 1), a large subset of Extended Pascal (ISO 10206), and
 Borland Pascal. Many Borland Pascal units supported.
 .
 This is a dependency package providing the default GNU Pascal compiler for
 Debian GNU/Linux systems (version 2.95.4 for architecture arm).

Package: gcc
Architecture: any
Depends: cpp (>= 2:2.95.4-14), gcc-2.95, cpp-2.95
Recommends: libc-dev
Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb, gcc-2.95-doc
Provides: c-compiler
Conflicts: gcc-doc (<< 1:2.95.3)
Description: The GNU C compiler.
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C compiler for
 Debian GNU/Linux systems (version 2.95.4 for architecture arm).
