## gcc-defaults 1.16

=== debian/changelog ===
gcc-defaults (1.16) unstable; urgency=medium

  * Add upstream FAQ to gcc package.
  * Add README.Bugs document.
  * On sparc, add configuration file /etc/disable_64_gcc to generate 32bit
    code on sparc64 architecture (closes: #251149).

 -- Matthias Klose <doko@debian.org>  Mon, 31 May 2004 22:03:32 -0300

gcc-defaults (1.15) unstable; urgency=low

  * Add gpc package for ia64, add binobj and gpidump links to gpc package.
  * Make gpc-2,1-3.3 the default gpc version for all architectures.
  * Update README.Debian.

 -- Matthias Klose <doko@debian.org>  Sat,  1 May 2004 00:11:38 +0200

gcc-defaults (1.14) unstable; urgency=low

  * gcj: ReAdd dependency on gcj-3.3 (closes: #234986).
  * Downgrade the dependency of gcj to gij to a recommendation.
  * gij: Add suggestion for gcj.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2004 23:32:13 +0100

gcc-defaults (1.13) unstable; urgency=low

  * Depend on the 3.3.3 final release.
  * gcj: Add dependency on gij.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Feb 2004 23:25:30 +0100

gcc-defaults (1.12) unstable; urgency=low

  * Build gij and gcj packages for hppa-linux.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Feb 2004 02:23:31 +0100

gcc-defaults (1.11) unstable; urgency=medium

  * Fix installation of g++ wrapper on sparc (closes: #225510).

 -- Matthias Klose <doko@debian.org>  Sat,  3 Jan 2004 11:10:49 +0100

gcc-defaults (1.10) unstable; urgency=low

  * Depend on the 3.3.2 final release.
  * Change priority of -doc packages to optional.
  * Add dependencies for g++, g77, gobjc, gcj on gcc of the same
    version (closes: #214694).
  * Add sparc-g++.c to do the same thing as the gcc wrapper.
  * Make the sparc gcc/g++ wrapper accept an override to disable 64-bit mode.
    This can be done by touching /etc/disable_64_gcc (closes: #221282).

 -- Matthias Klose <doko@debian.org>  Wed, 19 Nov 2003 22:09:30 +0100

gcc-defaults (1.9) unstable; urgency=low

  * control.m4: conditionalize on available languages (closes: #205226).
  * Remove version information in package descriptions to ease the task
    of the translators (closes: #205207).

 -- Matthias Klose <doko@debian.org>  Sat, 16 Aug 2003 10:12:55 +0200

gcc-defaults (1.8) unstable; urgency=low

  * Add sparc-gcc.c wrapper for handling -m32/-m64 defaults. Replaces the
    normal gcc symlink (Ben Collins).
  * Make 3.3 the default for sparc again.
  * Sync epoch for all architectures.
  * Provide {cpp,gcc,g77,gpc}-doc dependency packages.
    Closes: #178284, #188217, #193409, #197514.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Jul 2003 10:40:02 +0200

gcc-defaults (1.7) unstable; urgency=low

  * Add <GNU_TYPE>-{cpp,gcc,g++,gcj,g77} symlinks.
  * Bump sparc back down to 3.2. Increase our epoch to compensate.

 -- Ben Collins <bcollins@debian.org>  Wed,  4 Jun 2003 11:39:53 -0400

gcc-defaults (1.6) unstable; urgency=low

  * Make gcc-3.3 the default C compiler (g++-3.3 default for C++, g77-3.3
    default for Fortran, gobjc-3.3 default for ObjectiveC, g[ci]j-3.3 default
    for Java).
    The Debian gcc-3.3-0pre9 packages are build from the second prerelease,
    which is identical to the 3.3 final release on GNU/Linux.
  * Add c99 script (closes: #190823).

 -- Matthias Klose <doko@debian.org>  Thu, 15 May 2003 20:46:56 +0200

gcc-defaults (1.5) unstable; urgency=medium

  * Update gpc date in package version.
  * Make gpc-2.1-3.3 the default on hppa and ia64 (gpc-2.1-3.2 isn't built
    anymore).

 -- Matthias Klose <doko@debian.org>  Thu, 24 Apr 2003 07:36:45 +0200

gcc-defaults (1.4) unstable; urgency=low

  * Depend on the 3.2.3 prerelease.
  * Correct gpc date in package version.
  * Remove f77 alternative left over from an old egcs(?) version.
  * gpc: Add links for gpidump and binobj.
  * Remove old c++filt diversions left over by egcs, fixed script.
    Closes: #138038.
  * Add the fsf-funding(7), gfdl(7), gpl(7) man pages to the cpp package.
    Closes: #181495.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Mar 2003 20:15:55 +0100

gcc-defaults (1.3) unstable; urgency=low

  * Make gcc-3.2 the default C compiler (g++-3.2 default for C++, g77-3.2
    default for Fortran, gobjc-3.2 default for ObjectiveC, g[ci]j-3.2 default
    for Java).
  * Increase epoch due to wrong gpc and chill default version (closes: #163294).
  * Add netbsd-i386 support (closes: #162201).
  * Add gpc-run symlinks.
  * Make gpc-2.1-3.2 the default on hppa and ia64 (the gpc based on gcc-3.2
    is still an alpha version).
  * Remove old c++filt diversions left over by egcs ... (closes: #138038).

 -- Matthias Klose <doko@debian.org>  Sun, 29 Dec 2002 00:39:03 +0100

gcc-defaults (1.2) unstable; urgency=low

  * Make gcc-3.2 the default for the Hurd (closes: #156968).
  * Added SH support in previous upload (closes: #155002).

 -- Matthias Klose <doko@debian.org>  Fri,  6 Sep 2002 23:03:11 +0200

gcc-defaults (1.1) unstable; urgency=low

  * Add SH support.

 -- Matthias Klose <doko@debian.org>  Fri,  2 Aug 2002 07:43:26 +0200

gcc-defaults (1.0) unstable; urgency=low

  * Make gcc-3.1 the default for the Hurd.

 -- Matthias Klose <doko@debian.org>  Tue, 14 May 2002 21:41:35 +0200

gcc-defaults (0.22) unstable; urgency=low

  * Unreleased.
  * Use ObjC 3.0 for ARM.

 -- Phil Blundell <pb@debian.org>  Sun, 31 Mar 2002 18:17:33 +0100
