## gcc-defaults 1.19

=== debian/changelog ===
gcc-defaults (1.19) unstable; urgency=low

  * Depend on the 3.3.5 final release.
  * Fix wrong symlink (closes: #275477).

 -- Matthias Klose <doko@debian.org>  Sat, 13 Nov 2004 22:31:25 +0100

gcc-defaults (1.18) unstable; urgency=medium

  * Remove dangling symlink in cpp and gcc doc directories (closes: #265555).

 -- Matthias Klose <doko@debian.org>  Fri, 13 Aug 2004 22:01:50 +0200

gcc-defaults (1.17) unstable; urgency=low

  * Don't build chill on amd64.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Jul 2004 00:15:14 +0200
