=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: cpp
 Architecture: any
 Section: interpreters
-Depends: cpp-3.3 (>= 1:3.3.4-1)
+Depends: cpp-3.3 (>= 1:3.3.5-1)
 Suggests: cpp-doc
 Conflicts: cpp-doc (<< 1:2.95.3)
 Description: The GNU C preprocessor (cpp)
@@ -23,7 +23,7 @@
 
 Package: g++
 Architecture: any
-Depends: cpp (>= 4:3.3.4-1), gcc (>= 4:3.3.4-1), g++-3.3 (>= 1:3.3.4-1), gcc-3.3 (>= 1:3.3.4-1)
+Depends: cpp (>= 4:3.3.5-1), gcc (>= 4:3.3.5-1), g++-3.3 (>= 1:3.3.5-1), gcc-3.3 (>= 1:3.3.5-1)
 Provides: c++-compiler
 Description: The GNU C++ compiler
  This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
@@ -33,7 +33,7 @@
 Package: gobjc
 Priority: optional
 Architecture: any
-Depends: cpp (>= 4:3.3.4-1), gcc (>= 4:3.3.4-1), gobjc-3.3 (>= 1:3.3.4-1), gcc-3.3 (>= 1:3.3.4-1)
+Depends: cpp (>= 4:3.3.5-1), gcc (>= 4:3.3.5-1), gobjc-3.3 (>= 1:3.3.5-1), gcc-3.3 (>= 1:3.3.5-1)
 Provides: objc-compiler
 Description: The GNU Objective-C compiler
  This is the GNU Objective-C compiler, which compiles Objective-C on platforms
@@ -45,7 +45,7 @@
 Package: chill
 Priority: extra
 Architecture: any
-Depends: cpp (>= 4:3.3.4-1), chill-2.95 (>= 1:2.95.4-16), gcc-2.95 (>= 1:2.95.4-16)
+Depends: cpp (>= 4:3.3.5-1), chill-2.95 (>= 1:2.95.4-16), gcc-2.95 (>= 1:2.95.4-16)
 Description: The GNU CHILL compiler
  This is the ITU CHILL compiler. CHILL is the "CCITT High-Level Language",
  where CCITT is the old name for what is now ITU, the International
@@ -59,7 +59,7 @@
 Package: g77
 Priority: optional
 Architecture: any
-Depends: cpp (>= 4:3.3.4-1), gcc (>= 4:3.3.4-1), g77-3.3 (>= 1:3.3.4-1), gcc-3.3 (>= 1:3.3.4-1)
+Depends: cpp (>= 4:3.3.5-1), gcc (>= 4:3.3.5-1), g77-3.3 (>= 1:3.3.5-1), gcc-3.3 (>= 1:3.3.5-1)
 Suggests: g77-doc
 Provides: fortran-compiler
 Description: The GNU Fortran 77 compiler
@@ -72,8 +72,8 @@
 Package: gcj
 Priority: optional
 Architecture: any
-Depends: cpp (>= 4:3.3.4-1), gcc (>= 4:3.3.4-1), g++ (>= 4:3.3.4-1), gcj-3.3 (>= 1:3.3.4-1)
-Recommends: gij (>= 4:3.3.4-1)
+Depends: cpp (>= 4:3.3.5-1), gcc (>= 4:3.3.5-1), g++ (>= 4:3.3.5-1), gcj-3.3 (>= 1:3.3.5-1)
+Recommends: gij (>= 4:3.3.5-1)
 Provides: java-compiler
 Description: The GNU Java compiler
  GCJ is a front end to the GCC compiler which can natively compile both
@@ -85,8 +85,8 @@
 Package: gij
 Priority: optional
 Architecture: any
-Depends: cpp (>= 4:3.3.4-1), gij-3.3 (>= 1:3.3.4-1)
-Suggests: gcj (>= 4:3.3.4-1)
+Depends: cpp (>= 4:3.3.5-1), gij-3.3 (>= 1:3.3.5-1)
+Suggests: gcj (>= 4:3.3.5-1)
 Conflicts: libgcj2 (<= 3.0.2-4)
 Description: The GNU Java bytecode interpreter
  GIJ is not limited to interpreting bytecode. It includes a class loader which
@@ -100,7 +100,7 @@
 Package: gpc
 Priority: optional
 Architecture: any
-Depends: cpp (>= 4:3.3.4-1), gpc-2.1-3.3 (>= 1:3.3.4.20030507-1), gcc-3.3 (>= 1:3.3.4-1)
+Depends: cpp (>= 4:3.3.5-1), gpc-2.1-3.3 (>= 1:3.3.5.20040516-1), gcc-3.3 (>= 1:3.3.5-1)
 Suggests: gpc-doc
 Conflicts: gpc-doc (<< 1:2.95.3)
 Provides: pascal-compiler
@@ -116,7 +116,7 @@
 
 Package: gcc
 Architecture: any
-Depends: cpp (>= 4:3.3.4-1), gcc-3.3 (>= 1:3.3.4-1), cpp-3.3 (>= 1:3.3.4-1)
+Depends: cpp (>= 4:3.3.5-1), gcc-3.3 (>= 1:3.3.5-1), cpp-3.3 (>= 1:3.3.5-1)
 Recommends: libc-dev
 Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb, gcc-doc
 Provides: c-compiler
@@ -129,31 +129,31 @@
 Package: cpp-doc
 Architecture: any
 Priority: optional
-Depends: cpp-3.3-doc (>= 1:3.3.4-1)
-Suggests: cpp (>= 4:3.3.4-1)
+Depends: cpp-3.3-doc (>= 1:3.3.5-1)
+Suggests: cpp (>= 4:3.3.5-1)
 Description: Documentation for the GNU C preprocessor (cpp)
  Documentation for the GNU C preprocessor in info  (dependency package).
 
 Package: g77-doc
 Architecture: any
 Priority: optional
-Depends: g77-3.3-doc (>= 1:3.3.4-1)
-Suggests: g77 (>= 4:3.3.4-1)
+Depends: g77-3.3-doc (>= 1:3.3.5-1)
+Suggests: g77 (>= 4:3.3.5-1)
 Description: Documentation for the GNU Fortran compiler (g77)
  Documentation for the GNU Fortran compiler in info  (dependency package).
 
 Package: gpc-doc
 Architecture: any
 Priority: optional
-Depends: gpc-2.1-3.3-doc (>= 1:3.3.4.20030507-1)
-Suggests: gpc (>= 4:3.3.4-1)
+Depends: gpc-2.1-3.3-doc (>= 1:3.3.5.20040516-1)
+Suggests: gpc (>= 4:3.3.5-1)
 Description: Documentation for the GNU Pascal compiler (gpc)
  Documentation for the GNU Pascal compiler in info  (dependency package).
 
 Package: gcc-doc
 Architecture: any
 Priority: optional
-Depends: gcc-3.3-doc (>= 1:3.3.4-1)
-Suggests: gcc (>= 4:3.3.4-1)
+Depends: gcc-3.3-doc (>= 1:3.3.5-1)
+Suggests: gcc (>= 4:3.3.5-1)
 Description: Documentation for the GNU C compilers (gcc, gobjc, g++)
  Documentation for the GNU compilers in info  (dependency package).
