=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,8 @@
 REL_NO_333	:= $(shell expr $(REL_NO) - 12)
 # gcc-defaults 1.16 is the first version with 3.3.4 support.
 REL_NO_334	:= $(shell expr $(REL_NO) - 15)
+# gcc-defaults 1.19 is the first version with 3.3.5 support.
+REL_NO_335	:= $(shell expr $(REL_NO) - 18)
 
 #
 GPC_DATE	:= 20040516
@@ -41,8 +43,8 @@
 REQV_296	:= 
 REQV_30		:= (>= 1:3.0.4-12)
 REQV_32		:= (>= 1:3.2.3-1)
-REQV_33		:= (>= 1:3.3.4-1)
-REQV_GPC_33	:= (>= 1:3.3.4.$(GPC_DATE)-1)
+REQV_33		:= (>= 1:3.3.5-1)
+REQV_GPC_33	:= (>= 1:3.3.5.$(GPC_DATE)-1)
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -52,15 +54,15 @@
 # CV_XXX is the complete version number, including the release, without epoch
 CV_CHILL:= 2.95.4-$(REL_NO_295)
 #CV_GPC	:= 2.95.4-$(REL_NO_295)
-CV_GPC	:= 3.3.4-$(REL_NO_334)
-
-CV_CPP	:= 3.3.4-$(REL_NO_334)
-CV_GCC	:= 3.3.4-$(REL_NO_334)
-CV_GPP	:= 3.3.4-$(REL_NO_334)
-CV_GOBJC:= 3.3.4-$(REL_NO_334)
-CV_G77	:= 3.3.4-$(REL_NO_334)
-CV_GCJ	:= 3.3.4-$(REL_NO_334)
-CV_GIJ	:= 3.3.4-$(REL_NO_334)
+CV_GPC	:= 3.3.5-$(REL_NO_335)
+
+CV_CPP	:= 3.3.5-$(REL_NO_335)
+CV_GCC	:= 3.3.5-$(REL_NO_335)
+CV_GPP	:= 3.3.5-$(REL_NO_335)
+CV_GOBJC:= 3.3.5-$(REL_NO_335)
+CV_G77	:= 3.3.5-$(REL_NO_335)
+CV_GCJ	:= 3.3.5-$(REL_NO_335)
+CV_GIJ	:= 3.3.5-$(REL_NO_335)
 
 REQV_CHILL	= $(REQV_295)
 REQV_GPC	= $(REQV_33)
@@ -79,6 +81,10 @@
 packages := chill c++ fortran java objc pascal
 
 ifeq ($(DEB_HOST_GNU_TYPE),alpha-linux)
+endif
+
+ifeq ($(DEB_HOST_GNU_TYPE),amd64-linux)
+    packages	:= c++ fortran java objc pascal
 endif
 
 ifeq ($(DEB_HOST_GNU_TYPE),arm-linux)
@@ -235,9 +241,3 @@
 	  /usr/bin/cpp-$(PV_CPP) /usr/bin/cpp \
 	  /usr/share/man/man1/cpp-$(PV_CPP).1.gz /usr/share/man/man1/cpp.1.gz \
 	  /usr/bin/cpp-$(PV_CPP) /usr/bin/$(DEB_HOST_GNU_TYPE)-cpp \
-	  /usr/share/man/man1/cpp-$(PV_CPP).1.gz /usr/share/man/man1/$(DEB_HOST_GNU_TYPE)-cpp.1.gz
-
-	: # cpp-doc
-	dh_installdirs -pcpp-doc \
-		usr/share/doc usr/share/info
-	dh_link -pcpp-doc \
